Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.spring
Class ClassReloadingInstantiationStrategy

    java.lang.Object
      org.springframework.beans.factory.support.SimpleInstantiationStrategy
          org.apache.struts2.spring.ClassReloadingInstantiationStrategy

All Implemented Interfaces:
  org.springframework.beans.factory.support.InstantiationStrategy

    public class ClassReloadingInstantiationStrategy

extends org.springframework.beans.factory.support.SimpleInstantiationStrategy

Same as SimpleInstantiationStrategy, but constructor is not cached

Constructor Summary
`ClassReloadingInstantiationStrategy()`

Method Summary
`Object` | `instantiate(org.springframework.beans.factory.support.RootBeanDefinition beanDefinition, String beanName, org.springframework.beans.factory.BeanFactory owner)`

Methods inherited from class org.springframework.beans.factory.support.SimpleInstantiationStrategy
`instantiate, instantiate, instantiateWithMethodInjection, instantiateWithMethodInjection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassReloadingInstantiationStrategy

    public ClassReloadingInstantiationStrategy()

Method Detail

### instantiate

    public Object instantiate(org.springframework.beans.factory.support.RootBeanDefinition beanDefinition,
                              String beanName,
                              org.springframework.beans.factory.BeanFactory owner)

  Specified by:
    `instantiate` in interface `org.springframework.beans.factory.support.InstantiationStrategy`
  Overrides:
    `instantiate` in class `org.springframework.beans.factory.support.SimpleInstantiationStrategy`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.